Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Thread_Lane_Resources Class Reference

Class representing a thread lane's resources. More...

`#include <Thread_Lane_Resources.h>`

Collaboration diagram for TAO_Thread_Lane_Resources:

[legend]
List of all members.

## Public Methods
| TAO_Thread_Lane_Resources (TAO_ORB_Core &orb_core, TAO_New_Leader_Generator *new_leader_generator = 0)
| Constructor.
| ~TAO_Thread_Lane_Resources (void)
| Destructor.
int | is_collocated (const TAO_MProfile &mprofile)
int | open_acceptor_registry (int ignore_address, CORBA::Environment &ACE_TRY_ENV)
| Open the acceptor registry.
void | finalize (void)
| Finalize resources.
void | shutdown_reactor (void)
| Shutdown the reactor.
TAO_Acceptor_Registry& | acceptor_registry (void)
TAO_Transport_Cache_Manager& | transport_cache (void)
TAO_Leader_Follower& | leader_follower (void)
## Private Methods
int | has_acceptor_registry_been_created (void) const
| Checks if the acceptor registry has been created.
## Private Attributes
TAO_ORB_Core& | orb_core_
| ORB_Core related to this thread lane.
TAO_Acceptor_Registry* | acceptor_registry_
| The registry which maintains a list of acceptor factories for each loaded protocol.
TAO_Transport_Cache_Manager* | transport_cache_
| Transport cache.
TAO_Leader_Follower* | leader_follower_
| The leader/followers management class for this lane.
TAO_SYNCH_MUTEX | lock_
| Synchronization.
TAO_New_Leader_Generator* | new_leader_generator_
| Generator of new leader threads.

## Detailed Description

Class representing a thread lane's resources.

## Constructor & Destructor Documentation

TAO_Thread_Lane_Resources::TAO_Thread_Lane_Resources ( | TAO_ORB_Core & orb_core,
| TAO_New_Leader_Generator * new_leader_generator = 0 )`[inline]`

| Constructor.

TAO_Thread_Lane_Resources::~TAO_Thread_Lane_Resources ( | void )

| Destructor.

## Member Function Documentation

TAO_Acceptor_Registry & TAO_Thread_Lane_Resources::acceptor_registry ( | void )

void TAO_Thread_Lane_Resources::finalize ( | void )

| Finalize resources.

int TAO_Thread_Lane_Resources::has_acceptor_registry_been_created ( | void ) const`[private]`

| Checks if the acceptor registry has been created.

int TAO_Thread_Lane_Resources::is_collocated ( | const TAO_MProfile & mprofile )

TAO_Leader_Follower & TAO_Thread_Lane_Resources::leader_follower ( | void )

int TAO_Thread_Lane_Resources::open_acceptor_registry ( | int ignore_address,
| CORBA::Environment & ACE_TRY_ENV )

| Open the acceptor registry.

void TAO_Thread_Lane_Resources::shutdown_reactor ( | void )

| Shutdown the reactor.

TAO_Transport_Cache_Manager & TAO_Thread_Lane_Resources::transport_cache ( | void )

## Member Data Documentation

TAO_Acceptor_Registry * TAO_Thread_Lane_Resources::acceptor_registry_`[private]`

| The registry which maintains a list of acceptor factories for each loaded protocol.

TAO_Leader_Follower * TAO_Thread_Lane_Resources::leader_follower_`[private]`

| The leader/followers management class for this lane.

TAO_SYNCH_MUTEX TAO_Thread_Lane_Resources::lock_`[private]`

| Synchronization.

TAO_New_Leader_Generator * TAO_Thread_Lane_Resources::new_leader_generator_`[private]`

| Generator of new leader threads.

TAO_ORB_Core & TAO_Thread_Lane_Resources::orb_core_`[private]`

| ORB_Core related to this thread lane.

TAO_Transport_Cache_Manager * TAO_Thread_Lane_Resources::transport_cache_`[private]`

| Transport cache.

The documentation for this class was generated from the following files:

- Thread_Lane_Resources.h
- Thread_Lane_Resources.cpp